curl --request PUT \
--url https://app.pipecorn.com/api/v2/personas/{uuid} \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"job_titles": [
"VP of Engineering",
"CTO",
"Head of Engineering"
],
"excluded_job_titles": [
"Assistant"
]
}
'import requests
url = "https://app.pipecorn.com/api/v2/personas/{uuid}"
payload = {
"job_titles": ["VP of Engineering", "CTO", "Head of Engineering"],
"excluded_job_titles": ["Assistant"]
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
job_titles: ['VP of Engineering', 'CTO', 'Head of Engineering'],
excluded_job_titles: ['Assistant']
})
};
fetch('https://app.pipecorn.com/api/v2/personas/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.pipecorn.com/api/v2/personas/{uuid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'job_titles' => [
'VP of Engineering',
'CTO',
'Head of Engineering'
],
'excluded_job_titles' => [
'Assistant'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.pipecorn.com/api/v2/personas/{uuid}"
payload := strings.NewReader("{\n \"job_titles\": [\n \"VP of Engineering\",\n \"CTO\",\n \"Head of Engineering\"\n ],\n \"excluded_job_titles\": [\n \"Assistant\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("X-API-KEY", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://app.pipecorn.com/api/v2/personas/{uuid}")
.header("X-API-KEY", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"job_titles\": [\n \"VP of Engineering\",\n \"CTO\",\n \"Head of Engineering\"\n ],\n \"excluded_job_titles\": [\n \"Assistant\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.pipecorn.com/api/v2/personas/{uuid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["X-API-KEY"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"job_titles\": [\n \"VP of Engineering\",\n \"CTO\",\n \"Head of Engineering\"\n ],\n \"excluded_job_titles\": [\n \"Assistant\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"uuid": "8e1dcba0-f0bb-4071-99fc-f18ba6559ccc",
"name": "VP Engineering France",
"description": "Engineering leaders at French SaaS scale-ups",
"included_job_titles": [
"VP of Engineering",
"CTO"
],
"excluded_job_titles": [
"Assistant"
],
"included_industries": [
"4"
],
"excluded_industries": [],
"included_locations": [
"105015875"
],
"excluded_locations": [],
"company_size": [
"51-200",
"201-500"
],
"sales_nav_url": "https://www.linkedin.com/sales/search/people?query=...",
"created_at": "2025-01-03T17:35:33.073Z",
"updated_at": "2025-01-03T17:35:33.073Z"
}Update Persona
Update the name, description or filters of a persona
curl --request PUT \
--url https://app.pipecorn.com/api/v2/personas/{uuid} \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"job_titles": [
"VP of Engineering",
"CTO",
"Head of Engineering"
],
"excluded_job_titles": [
"Assistant"
]
}
'import requests
url = "https://app.pipecorn.com/api/v2/personas/{uuid}"
payload = {
"job_titles": ["VP of Engineering", "CTO", "Head of Engineering"],
"excluded_job_titles": ["Assistant"]
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
job_titles: ['VP of Engineering', 'CTO', 'Head of Engineering'],
excluded_job_titles: ['Assistant']
})
};
fetch('https://app.pipecorn.com/api/v2/personas/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.pipecorn.com/api/v2/personas/{uuid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'job_titles' => [
'VP of Engineering',
'CTO',
'Head of Engineering'
],
'excluded_job_titles' => [
'Assistant'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.pipecorn.com/api/v2/personas/{uuid}"
payload := strings.NewReader("{\n \"job_titles\": [\n \"VP of Engineering\",\n \"CTO\",\n \"Head of Engineering\"\n ],\n \"excluded_job_titles\": [\n \"Assistant\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("X-API-KEY", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://app.pipecorn.com/api/v2/personas/{uuid}")
.header("X-API-KEY", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"job_titles\": [\n \"VP of Engineering\",\n \"CTO\",\n \"Head of Engineering\"\n ],\n \"excluded_job_titles\": [\n \"Assistant\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.pipecorn.com/api/v2/personas/{uuid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["X-API-KEY"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"job_titles\": [\n \"VP of Engineering\",\n \"CTO\",\n \"Head of Engineering\"\n ],\n \"excluded_job_titles\": [\n \"Assistant\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"uuid": "8e1dcba0-f0bb-4071-99fc-f18ba6559ccc",
"name": "VP Engineering France",
"description": "Engineering leaders at French SaaS scale-ups",
"included_job_titles": [
"VP of Engineering",
"CTO"
],
"excluded_job_titles": [
"Assistant"
],
"included_industries": [
"4"
],
"excluded_industries": [],
"included_locations": [
"105015875"
],
"excluded_locations": [],
"company_size": [
"51-200",
"201-500"
],
"sales_nav_url": "https://www.linkedin.com/sales/search/people?query=...",
"created_at": "2025-01-03T17:35:33.073Z",
"updated_at": "2025-01-03T17:35:33.073Z"
}job_titles alone keeps excluded_job_titles, and sending excluded_job_titles alone keeps job_titles. The same applies to included_industries/excluded_industries and included_locations/excluded_locations. Send [] to clear a list.
A persona must keep at least one included job title. An update that leaves it with none is rejected with 422 and "At least one job_title is required".Authorizations
Your API key
Path Parameters
UUID of the persona
Body
Every field is optional; omitted fields keep their current value.
New name. A blank value keeps the current name
"VP Engineering France"
New description. Sending the key (even null) replaces the current value
Job titles to include. Replaces the current list; omit it to keep it. The persona must keep at least one included job title
["VP of Engineering", "CTO"]
Job titles to exclude. Replaces the current list; omit it to keep it, send [] to clear it
["Assistant", "Intern"]
When true, the titles in job_titles are expanded with AI into variations (other seniority levels and languages, based on your agent language preferences). Suggested exclusions are added to excluded_job_titles.
LinkedIn industry IDs to include. Replaces the current list; omit it to keep it, send [] to clear it
["4"]
LinkedIn industry IDs to exclude. Replaces the current list; omit it to keep it, send [] to clear it
[]
Location IDs to include. Replaces the current list; omit it to keep it, send [] to clear it
["105015875"]
Location IDs to exclude. Replaces the current list; omit it to keep it, send [] to clear it
[]
Company headcount ranges. Replaces the current list; omit it to keep it. The LinkedIn size codes A–I are also accepted for older integrations, and are returned as sent.
Self-employed, 1-10, 11-50, 51-200, 201-500, 501-1000, 1001-5000, 5001-10000, 10001+ ["51-200", "201-500"]
Response
Persona updated
Unique identifier of the persona
"8e1dcba0-f0bb-4071-99fc-f18ba6559ccc"
Name of the persona
"VP Engineering France"
Free-text description
"Engineering leaders at French SaaS scale-ups"
Job titles to include
["VP of Engineering", "CTO"]
Job titles to exclude
["Assistant"]
LinkedIn industry IDs to include
["4"]
LinkedIn industry IDs to exclude
[]
Location IDs to include
["105015875"]
Location IDs to exclude
[]
Company size ranges
["51-200", "201-500"]
Sales Navigator search URL derived from the filters
"https://www.linkedin.com/sales/search/people?query=..."
The creation date of the persona
"2025-01-03T17:35:33.073Z"
The last modified date of the persona
"2025-01-03T17:35:33.073Z"
Was this page helpful?